<?xml version="1.0" encoding="UTF-8"?>
<!--
                
                Copyright (C) 2006 W3C (R) (MIT ERCIM Keio), All Rights Reserved.
                W3C liability, trademark and document use rules apply.
                
                http://www.w3.org/Consortium/Legal/ipr-notice
                http://www.w3.org/Consortium/Legal/copyright-documents
                
		Generated from: $Id: examples.xml,v 1.57 2008/02/20 16:41:48 pdowney Exp $
-->
<description xmlns:def="http://www.w3.org/2002/ws/databinding/examples/6/09/"
             xmlns:xs="http://www.w3.org/2001/XMLSchema"
             xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
             xmlns:p="http://www.w3.org/2002/ws/databinding/patterns/6/09/"
             xmlns:ex="http://www.w3.org/2002/ws/databinding/examples/6/09/"
             xmlns="http://www.w3.org/2006/01/wsdl"
             targetNamespace="http://www.w3.org/2002/ws/databinding/examples/6/09/">
   <types>
      <xs:schema xmlns="http://www.w3.org/2002/ws/databinding/examples/6/09/"
                 targetNamespace="http://www.w3.org/2002/ws/databinding/examples/6/09/"
                 elementFormDefault="qualified">
         <xs:element xmlns:wsdl11="http://schemas.xmlsoap.org/wsdl/"
                     xmlns:soap11enc="http://schemas.xmlsoap.org/soap/encoding/"
                     name="globalElementSequenceAny">
            <xs:complexType>
               <xs:sequence>
                  <xs:any processContents="skip"/>
               </xs:sequence>
            </xs:complexType>
         </xs:element>
         <xs:element name="echoGlobalElementSequenceAny">
            <xs:complexType>
               <xs:sequence>
                  <xs:element ref="ex:globalElementSequenceAny"/>
               </xs:sequence>
            </xs:complexType>
         </xs:element>
      </xs:schema>
   </types>
   <interface name="GlobalElementSequenceAnyInterface">
      <operation name="echoGlobalElementSequenceAny"
                 pattern="http://www.w3.org/2006/01/wsdl/in-out">
         <input element="ex:echoGlobalElementSequenceAny"/>
         <output element="ex:echoGlobalElementSequenceAny"/>
      </operation>
   </interface>
   <binding xmlns:wsoap="http://www.w3.org/2006/01/wsdl/soap"
            name="GlobalElementSequenceAnySoapBinding"
            interface="def:GlobalElementSequenceAnyInterface"
            type="http://www.w3.org/2006/01/wsdl/soap"
            wsoap:version="1.1"
            wsoap:protocol="http://www.w3.org/2006/01/soap11/bindings/HTTP/">
      <operation ref="def:echoGlobalElementSequenceAny"
                 wsoap:soapAction="http://www.w3.org/2002/ws/databinding/examples/6/09/wsdl#echoGlobalElementSequenceAny"/>
   </binding>
   <service name="GlobalElementSequenceAnyService"
            interface="def:GlobalElementSequenceAnyInterface">
      <endpoint name="GlobalElementSequenceAnyPort"
                binding="def:GlobalElementSequenceAnySoapBinding"
                address="http://localhost/"/>
   </service>
</description>